<template>
  <div class="col-sm-12 col-md-6">
    <transition-group 
      enter-active-class="animated fadeIn"
      leave-active-class="animated fadeOut">
      <div class="panel panel-default"
        :key="comment"
        v-for="(comment, index) in comments">
    <div class="panel-heading">
      <strong>{{ comment.username }}</strong>
      <span class="text-muted pull-right">
        {{ comment.published.$date | moment("DD MMMM YYYY") }}
      </span>
    </div>
    <div class="panel-body">
      {{ comment.content }}
    </div><!-- /panel-body -->
    <div class="panel-footer text-right" v-if="auth">
      <button class="btn btn-default btn-xs" 
        @click="deleteComment(index, comment._id.$oid)">
        <span class="glyphicon glyphicon-trash" aria-hidden="true"></span>
        Delete
      </button>
    </div>
  </div><!-- /panel panel-default -->
  </transition-group>
  </div>
</template>

<script>
export default {
  name: 'CommentList',
  props: ['post_id'],
  data () {
    return {
    }
  },
  computed: {
    comments () {
      return this.$store.state.blog.comments
    },
    auth () {
      return this.$store.getters.isAuthenticated
    }
  },
  methods: {
    deleteComment (index, id) {
      let url = `blog/post/${this.post_id.$oid}/comment/${id}`
      this.$http.delete(url)
      .then(response => {
        this.$store.commit('deleteComment', index)
      }, error => {
        console.log(error)
      })
    }
  }
}
</script>

<style scoped>
</style>
